Bug 618075 - RHEL5.5 boot fail with IDE controller enabled on Cobia
Summary: RHEL5.5 boot fail with IDE controller enabled on Cobia
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Prarit Bhargava
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: OtherQA
Depends On:
Blocks: 543222
TreeView+ depends on / blocked
 
Reported: 2010-07-26 02:49 UTC by Harry
Modified: 2018-11-14 19:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 21:45:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug_fix_patch (663 bytes, patch)
2010-07-26 02:53 UTC, Harry
no flags Details | Diff
RHEL6 fix for this issue (1.14 KB, patch)
2010-07-30 15:31 UTC, Prarit Bhargava
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Harry 2010-07-26 02:49:00 UTC
Description of problem:
RHEL5.5 will fail to boot up on Cobia if IDE controller is enabled in BIOS and plug in a SATA HDD on port 5.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Enable IDE controller in BIOS on Cobia
2. Plug-in a SATA HDD on SATA port 5
3. Boot RHEL5.5
  
Actual results:
Hang

Expected results:


Additional info:
This is a IDE driver issue. The autotune operation cause the hang and this is not necessary on Hudson southbridge.

Comment 1 Harry 2010-07-26 02:53:29 UTC
Created attachment 434316 [details]
bug_fix_patch

The patch disable autotune operation on Hudson chipset.

Comment 2 Prarit Bhargava 2010-07-30 15:31:02 UTC
Thanks Harry.  Patch sent for internal review.

P.

Comment 3 Prarit Bhargava 2010-07-30 15:31:41 UTC
Created attachment 435586 [details]
RHEL6 fix for this issue

Comment 4 Prarit Bhargava 2010-07-30 15:32:15 UTC
(In reply to comment #3)
> Created an attachment (id=435586) [details]
> RHEL6 fix for this issue    

Oops ... should be "RHEL5" fix for this issue.

P.

Comment 5 RHEL Product and Program Management 2010-07-30 15:49:42 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Jarod Wilson 2010-08-11 00:13:22 UTC
in kernel-2.6.18-211.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 9 Chris Ward 2010-11-09 13:29:07 UTC
~~ Attention Customers and Partners - RHEL 5.6 Public Beta is now available on RHN ~~

A fix for this 'OtherQA' BZ should be present and testable in the release. 

If this Bugzilla is verified as resolved, please update the Verified field above with an appropriate value and include a summary of the testing executed and the results obtained.

If you encounter any issues or have questions while testing, please describe them and set this bug into NEED_INFO. 

If you encounter new defects or have additional patches to request for inclusion, promptly escalate the new issues through your support representative.

Finally, future Beta kernels can be found here:
 http://people.redhat.com/jwilson/el5/

Note: Bugs with the 'OtherQA' keyword require Third-Party testing to confirm the request has been properly addressed. See: https://bugzilla.redhat.com/describekeywords.cgi#OtherQA ).

Comment 10 Shane Huang 2010-11-15 07:19:54 UTC
Verified ok with kernel-2.6.18-231.el5.x86_64.rpm, thanks

Comment 12 errata-xmlrpc 2011-01-13 21:45:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.